package com.persagy.apm.energy.report.monthly.detail.business.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lixing
 * @version V1.0 2021/5/17 3:15 下午
 **/
@Data
@ApiModel(value = "用电量条目信息")
public class PowerItemVO {
    @ApiModelProperty("条目名称")
    private String name;

    @ApiModelProperty("本月用电量")
    private Double currentMonth;

    @ApiModelProperty("上月用电量")
    private Double lastMonth;

    @ApiModelProperty("本年度累计用电量")
    private Double yearCount;

    @ApiModelProperty("去年同期累计用电量")
    private Double lastYearCount;

    @ApiModelProperty("环比增量")
    private Double linkCount;

    @ApiModelProperty("环比增幅")
    private Double linkRange;

    @ApiModelProperty("同比增量")
    private Double sameCount;

    @ApiModelProperty("同比增幅")
    private Double sameRange;

    @ApiModelProperty("本年单方用电量")
    private Double yearPerCount;

    @ApiModelProperty("去年单方用电量")
    private Double lastYearPerCount;

}
