package com.persagy.apm.energy.report.monthly.config.statisticsitems.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lixing
 * @version V1.0 2021-05-20 19:21:11
 */
@Data
@ApiModel(value = "查询统计条目入参")
public class QueryStatisticItemsDTO {
    @ApiModelProperty(value = "条目编码", required = true)
    private String itemCode;

    @ApiModelProperty(value = "条目来源", required = true)
    private String itemSource;

    @ApiModelProperty(value = "合格的标准", required = true)
    private String standardValue;

    @ApiModelProperty(value = "合格的判断公式", required = true)
    private String qualifyFormula;

}
